    Set the default data set identifier.

set_default_id(id)
id - int or str

The Sherpa data id ties data, model, fit, and plotting information into a data set easily referenced by id. The default identifier, used by many commands, is changed by this command. The current setting can be found by using

`get_default_id` .

After the following, many commands, such as `set_source` , will use 'src' as the default data set identifier:

>>> set_default_id('src')

Restore the default data set identifier.

>>> set_default_id(1)

PARAMETERS

The parameter for this function is:

Parameter
Definition
id
The default data set identifier to be used by certain Sherpa functions when an identifier is not given, or set to

none .

Notes

The default Sherpa data set identifier is the integer 1.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023